/**************************************************************************/
/* GF21 ( ＴＡＧＬＩＢクラス定義 )                                        */
/*                                                                        */
/* Created : 2012/01/20 11:41:24                                          */
/**************************************************************************/
CREATE TABLE GF21 (
   VERNO       VARCHAR(10)                 NOT NULL      /* 10  バージョン   */
 , PRE_FIX     VARCHAR(10)                 NOT NULL      /* 20  名前空間     */
 , TAGNAME     VARCHAR(30)                 NOT NULL      /* 30  タグ名称     */
 , SEQ         NUMERIC(7)      DEFAULT 0   NOT NULL      /* 40  順           */
 , TAGCLASS    VARCHAR(100)                NOT NULL      /* 50  TAGクラス名  */
 , TEICLASS    VARCHAR(100)                              /* 60  TEIクラス名  */
 , BODYCONTENT VARCHAR(1)                                /* 70  BODY要素     */
 , UNIQ        BIGINT                      NOT NULL      /* 800 ユニークキー */
 , FGJ         VARCHAR(1)      DEFAULT '1' NOT NULL      /* 810 状態フラグ   */
 , DYSET       VARCHAR(14)                               /* 820 登録日時     */
 , PGSET       VARCHAR(10)                               /* 830 作成PG       */
 , PGPSET      VARCHAR(10)                               /* 840 作成親PG     */
 , USRSET      VARCHAR(10)                               /* 850 作成社員     */
 , DYUPD       VARCHAR(14)                               /* 860 更新日時     */
 , PGUPD       VARCHAR(10)                               /* 870 更新PG       */
 , PGPUPD      VARCHAR(10)                               /* 880 更新親PG     */
 , USRUPD      VARCHAR(10)                               /* 890 更新者       */
);

CREATE SEQUENCE GF21S00 ;


CREATE TRIGGER GF21T00 FOR GF21
  BEFORE INSERT 
  AS BEGIN 
    NEW.UNIQ = GEN_ID( GF21S00,1 );
  END; 


